Skip to main content

Update Attribute Mapping

Map external attributes to internal user fields.

Outline

Endpoint

POST /api/v1/sso/attribute-mapping

Headers

HeaderRequiredDescription
AuthorizationYesBearer <access_token>
Content-TypeYesapplication/json

Request Body

{
"provider_id": 1,
"mappings": {
"email": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/emailaddress",
"name": "http://schemas.xmlsoap.org/ws/2005/05/identity/claims/name"
}
}

Response

Success (200)

{
"success": true,
"data": {
"message": "Attribute mapping updated successfully"
},
"message": "Attribute mapping updated successfully"
}

Features

  • Attribute mapping
  • Transformation rules
  • Validation

Status

[WARNING] TODO: Not Implemented

This endpoint is defined in the router but the implementation logic is not yet complete.